// MenuView.cpp : implementation of the CMenus2View class
//

#include "stdafx.h"
#include "Menus2.h"

#include "Menu2Doc.h"
#include "MenuView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

const COLORREF BLACK=RGB(0,0,0);
const COLORREF RED=RGB(255,0,0);
const COLORREF GREEN=RGB(0,255,0);
const COLORREF BLUE=RGB(0,0,255);

/////////////////////////////////////////////////////////////////////////////
// CMenus2View

IMPLEMENT_DYNCREATE(CMenus2View, CView)

BEGIN_MESSAGE_MAP(CMenus2View, CView)
	//{{AFX_MSG_MAP(CMenus2View)
	ON_COMMAND(ID_COLORS_BLACK, OnColorsBlack)
	ON_UPDATE_COMMAND_UI(ID_COLORS_BLACK, OnUpdateColorsBlack)
	ON_COMMAND(ID_COLORS_BLUE, OnColorsBlue)
	ON_UPDATE_COMMAND_UI(ID_COLORS_BLUE, OnUpdateColorsBlue)
	ON_COMMAND(ID_COLORS_GREEN, OnColorsGreen)
	ON_UPDATE_COMMAND_UI(ID_COLORS_GREEN, OnUpdateColorsGreen)
	ON_COMMAND(ID_COLORS_RED, OnColorsRed)
	ON_UPDATE_COMMAND_UI(ID_COLORS_RED, OnUpdateColorsRed)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMenus2View construction/destruction

CMenus2View::CMenus2View()
{
}

CMenus2View::~CMenus2View()
{
}

BOOL CMenus2View::PreCreateWindow(CREATESTRUCT& cs)
{
	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMenus2View drawing

void CMenus2View::OnDraw(CDC* pDC)
{
	CMenus2Doc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	CRect r;
	GetClientRect(&r);
	int x = r.right / 2, y = r.bottom / 2;

	pDC->SetTextColor(pDoc->GetColor());
	pDC->SetTextAlign (TA_CENTER | TA_BASELINE);
	pDC->TextOut (x, y, pDoc->GetPhrase());
}

/////////////////////////////////////////////////////////////////////////////
// CMenus2View diagnostics

#ifdef _DEBUG
void CMenus2View::AssertValid() const
{
	CView::AssertValid();
}

void CMenus2View::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMenus2Doc* CMenus2View::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMenus2Doc)));
	return (CMenus2Doc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMenus2View message handlers

void CMenus2View::OnColorsBlack() 
{
	CMenus2Doc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pDoc->SetColor(BLACK);
	Invalidate();
}

void CMenus2View::OnColorsBlue() 
{
	CMenus2Doc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pDoc->SetColor(BLUE);
	Invalidate();
}

void CMenus2View::OnColorsGreen() 
{
	CMenus2Doc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pDoc->SetColor(GREEN);
	Invalidate();
}

void CMenus2View::OnColorsRed() 
{
	CMenus2Doc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pDoc->SetColor(RED);
	Invalidate();
}

void CMenus2View::OnUpdateColorsBlack(CCmdUI* pCmdUI) 
{
	CMenus2Doc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pCmdUI->SetCheck(pDoc->GetColor() == BLACK);
}

void CMenus2View::OnUpdateColorsBlue(CCmdUI* pCmdUI) 
{
	CMenus2Doc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pCmdUI->SetCheck(pDoc->GetColor() == BLUE);
}

void CMenus2View::OnUpdateColorsGreen(CCmdUI* pCmdUI) 
{
	CMenus2Doc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pCmdUI->SetCheck(pDoc->GetColor() == GREEN);
}

void CMenus2View::OnUpdateColorsRed(CCmdUI* pCmdUI) 
{
	CMenus2Doc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pCmdUI->SetCheck(pDoc->GetColor() == RED);
}
